@echo off
rem Windows batch file for running XML Zebra

rem ----
rem Copyright 2009-2010 Londata Limited
rem
rem Licensed under the Apache License, Version 2.0 (the "License");
rem you may not use this file except in compliance with the License.
rem You may obtain a copy of the License at
rem
rem http://www.apache.org/licenses/LICENSE-2.0
rem
rem Unless required by applicable law or agreed to in writing, software
rem distributed under the License is distributed on an "AS IS" BASIS,
rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
rem See the License for the specific language governing permissions and
rem limitations under the License.
rem ----

setlocal

rem Use the batch file directory to get the XML Zebra home directory
set ZEBRADIR=%~dp0..

rem Calculate the path to the "lib" directory
set LIBDIR=%ZEBRADIR%\lib
set CURRENTDIR=%CD%
cd/d "%LIBDIR%"
set LIBDIR=%CD%
cd/d "%CURRENTDIR%"

rem Set the class path.  Only the main JAR is needed in the class path
set CLASSPATH=%LIBDIR%\xmlzebra-1.0-pre-1.jar

rem Use JAVA_OPTS if you need to set JVM options for Scala
set JAVA_OPTS=

rem Run the XML Schema path generator
scala net.launchpad.xmlzebra.SchemaPathGenerator %*

endlocal
